Unreal v227 Manual/Frequently Asked Questions

From Oldunreal-Wiki
(Redirected from Linux Server)
Jump to navigation Jump to search
Unreal v227 Manual
Main pageNew maps and itemsNew menu optionsVideo renderersAudio renderersServer admin toolsNew mod authoring toolsFrequently Asked Questions
Unreal v227 Manual
<- Previous New mod authoring tools

Here are some of the most frequently asked questions about Unreal v227*.

Before you proceed

A word of warning
As any other patch before, 227 resets all settings, so if you want to keep your custom setup, be sure to backup your Unreal.ini and User.ini (in your Unreal/System/ directory) before installing!!
Furthermore, If you want to transfer your settings to your new installation you have to copy specific lines manually. Do not take over old Unreal.ini and User.ini files from previous installations. Some settings have been changed and some settings are just missing then, this can cause weird side effects and even crashes!

General v227 FAQ

Why should I use Unreal 227?
Unreal 227 comes with a lot of new features like alpha blending and static meshes, many bug fixes, security fixes etc (such as built-in IP logging/banning systems). New D3D8/D3D9/OpenGL renderers, new sound and music output with OpenAL and FMod. A heavily fixed and improved UED2.1, just to name a few things. Also a native Linux port has been added (although it has to be installed with wine due to legal reasons).

The entire changelog can be found in the 227 release notes.

Your patch is shit. I tried it and my sound was messed and/or it crashed, or whatever!
Although this is not really a question, 227 was developed for a long time and we tried to fix any bug reported. Still the available patches may still contain bugs and the purpose of these releases is to find and fix these. Remember, even the original patches contained more than only a few bugs in the past. The 227 project tries to work with the community to make the best possible patch. So instead of complaining, help and report any problems you encounter.

But I don't trust you because your patch was not made by Epic!
The OldUnreal 227 patch was made with knowledge and permission of Epic Games.

I've seen over the years that many pages that claimed to make a 227 patch and it was always a fake!
Yes, I've seen them too. But this one is different. It has been in the making for years with the full sources available. No other people or website ever had this chance before. See UTPG patches v440-451b and our own v469* patches for Unreal Tournament.

I've found a bug! Where do I report?
Although we try to keep 227 as bug-free as possible, there's still the chance that we may have missed something (we're humans after all!). Please report in our forums. Make sure to have a look first if this bug maybe was reported already.

Which other Unreal version is 227 compatible with? (Client)
In short, it is compatible with every online-compatible Unreal version except 226f (which is highly warned against anyway, as far as servers are concerned). However, servers with older Unreal versions may kick you because older anticheat protections don't know 227 and assume it's some kind of cheat. It's not possible to "fix" this because older anticheat tools need to be updated, and most of these tools (if not all) are not being maintained anymore by their authors.

Can 227 be applied to Unreal Gold or Unreal Anthology, Steam and GoG versions?
227a to 227f is a patch for classic, retail, common, etc. Unreal and can be also applied to Unreal Gold and Unreal Anthology. However, bear in mind that you’ll lose support for the Return to Na Pali expansion pack.

For 227 g/h/i there are 2 versions: one for Unreal and one for Unreal Gold/Unreal Anthology. The Unreal Gold version fully supports the Return to Na Pali expansion set and can be applied to Unreal Gold and Anthology only.

227j is an universal patch. It can be applied to any sold version (min. 226f). There’s no separate patch anymore for classic Unreal (226f) and Unreal Gold or Unreal Anthology versions (which include the Return to Na Pali expansion set), but it will not add the "Return to Na Pali" mission pack to the classic version.

How do I access the Advanced Options menu? (Windows only)
In order to enter the Advanced Options, follow these steps:

  • From the Classic Menu, go to Options → Advanced Options.
  • From UMenu, go to Options → Preferences → Advanced Options.
  • From anywhere in the game that isn’t the menus, open the quick console (usually by pressing Tab) and write preferences.

My sounds sounds all squeaky and messed up, what should I do?!
First, make sure your sound drivers are updated, since OpenAL and FMod often require the most recent drivers to work with any soundcard. If this does not solve your problem, either change your sound settings or audio driver (again, enter the Advanced Options as described above). Expand the Drivers group in Advanced Options and change AudioDevice.

OpenAL 3D, FMOD 3D and SwFMODEx are available, as well as Galaxy 3D. This latter option is no longer supported, and therefore not recommended.

OpenAL works with most cards these days. However, try FMod if OpenAL causes trouble on your system. The new sound systems try to match the original sound system as much as possible and even contain many improvements for it, such as EFX effects. However, if you still prefer to use the old, original sound system, or if the new audio devices cause you trouble, you can always fall back on the original Galaxy sound system, which is still functional. Restart the game to update the changes.

A possible fix for ALAudio, if it sounds messed up, is to enter the Advanced Options:

  • Make sure your sound card is properly set-up. Check your speaker settings and the preferred devices in the Control Panel. Linux users should check Alsa settings and may need to install OpenAL-Soft instead of the pre-installed OpenAL.
  • Expand 'Audio' group, then "OpenAL 3D".
  • Try different ALDevices.
  • Some sound cards have problems with Doppler effects. Try setting DopplerFactor to 0.

How do I play Return to Na Pali with Unreal 227?
Patch versions 227a-f do not support RTNP. 227g/h/i have separate patch versions for Unreal Gold/Unreal Anthology, with full support for it. 227j also supports it in general but does not add the Return to Na Pali mission pack if your version does not contain it already. In any supported version it can simply be selected and started from within the "New Game" menu.

After installing the patch my Unreal(Gold) needs WAAAAY longer to get a Serverlist!
Recent situations clearly showed what happen if the main master server goes down: the list is empty. 227 is slower because it queries not one, but three master servers before displaying the list. This reduces the chance of having no servers at all if one of these is down again. Besides, some servers may only appear on one of these master servers, so won't be displayed at all in unmodified Unreal Gold.

If you don't want to wait and you want to speed it up despite this explanation, edit your Unreal.ini and remove the entries ListFactories[1] and [2] or comment them out by preceding them with a semi-colon ";":

[UBrowserAll]
ListFactories[0]=UBrowser.UBrowserGSpyFact,MasterServerAddress=master0.gamespy.com,MasterServerTCPPort=28900,GameName=unreal
;ListFactories[1]=UBrowser.UBrowserGSpyFact,MasterServerAddress=master.thenerdnetwork.com,MasterServerTCPPort=28900,GameName=unreal
;ListFactories[2]=UBrowser.UBrowserGSpyFact,MasterServerAddress=unreal.epicgames.com,MasterServerTCPPort=28900,GameName=unreal

After installing 227, Unreal freezes for a short time when I join a server!
Many servers which are running 227 have anti-cheat enabled. This causes a short freeze when joining a server. When the anti-cheat is stricter, these freezes may even happen during the game, but most server admins set it for join only to keep the game free of any disturbing side-effects.

After installing 227 I have problems with my mouse pointer appearing, especially in windowed mode
This can happen if DirectInput is set to True, to enable support for more than 3 mouse buttons. Unfortunately is a known and not currently fixable problem. If you don't need the additional mouse-button support, set DirectInput support to False in the advanced options. 227i provides RawHIDInput as a replacement which doesn't suffer these problems.

When switching from fullscreen to windowed mode, all graphics are messed up (OpenGL)
This seems to be problem with some NVIDIA drivers, and happens after drivers 162.18. There are currently four possible solutions:

  1. Advanced Options → Rendering → OpenGL → UseVertexProgram=True
  2. Restart Unreal (may crash when setting).
  3. Upgrade to latest or downgrade your drivers to a version below 162.18
  4. Try Direct3D9 or Direct3D8 instead
  5. Try a different video card like ATI Radeon if possible

Is it possible to have multiple versions installed, like Unreal Gold or 225 and 227?
It is very easy to have 2 parallel installations, such as 225 and 227 together (or maybe Unreal Gold and 227, or to keep one version with RTNP... this works with any version):

  1. Install the Unreal 225 patch.
  2. Make a copy of your Unreal/System directory.
  3. Name the copied directory something like: System225.
  4. Open the folder and change the following lines in Unreal.ini, then install v227:
[Core.System]
(...)
Paths=..\System\*.u

...To...

[Core.System]
(...)
Paths=..\System225\*.u

227 can now be started from Unreal/System/Unreal.exe. 225 can now be started from Unreal/System225/Unreal.exe. This method only requires a copy of the System directory and may need about 100MB of disk-space. For easy access you might want to add a shortcut on your Desktop or Start menu.

The Find Internet Games button doesn't work! It keeps giving "time out" messages!
This occurs if you have a firewall that doesn't allow you to contact the Master Server reliably. You need to open port 28900 in your firewall settings. Giving the program full permissions won't help in this case, so it's not necessary.

Opening ports is only a matter of entering those numbers in a place they have to be. The location of port management varies between different firewalls, so you will have to explore yours to find what you need. Once you find a place where it asks you for a port-number, enter 28900 and make sure it is set to Allowed or Privileged.

Every time i try to start the game, it starts, the screen goes black, and then it crashes with the error UFireTexture::ConstantTick<-UTexture::Tick<-(FireTexture NALIFX.SHANEFX.TORCHES2)
The fix is simple: Right-click on My Computer → Properties → Advanced → Performance Settings → Data Execution Prevention → Turn on for essential Windows programs and services only. What exactly is causing this is still unclear. It may be caused by the high amount of assembly code in fire.dll.

After installing 227 it's all laggy / bad performance
The new shadows may eat up a lot of CPU, even on nowadays machines, and get top notch computers to their knees. The related settings to use Projectors instead of Decals, which also need more power.

Unreal still handles a lot of things in the Engine, not in the GPU, as modern games do, and this couldn't be easily changed without rewriting major parts of the Engine and Renderer from scratch again. That is why we kept it the way it was and implemented the shadows in the same way (pretty much no choice here). This also makes the graphics card almost unimportant, leaving up most things to be purely made by the CPU. Also important for the performance is the speed of one core, Unreal can only make use of one (the core can be selected in the Unreal.ini (227h and newer only) or via the start up parameter -USECPU=X). So you don't really benefit from Quad- or Hexcore CPUs, only the performance per core is vital.

As for the shadows themselves, we use a smoothing mechanism which makes the shadows very realistic even at Med-Res, so High or even Ultra are not really needed. Indeed 227, in most situations, works way better than any previous version, up to 2 times faster (if you compare the plain performance with older versions without the new 227 features), but due to the shadows, people have the impression it makes their PC lag to a crawl.

Be aware that shadows are entirely optional, and if you turn them off you will lose nothing compared to older versions!! So if your machine can handle it, try it, but be careful if you want to play mods with massive amount of monsters, like Monster Mash or Monster Hunt. For normal DM or Coop, a setting of MedRes should be working flawlessly on most (not high-end) machines.

Also be aware that maps and mods using the new emitters may cause bad performance when AA is enabled and set to a high value. Try lowering AA or disable it entirely if you encounter bad FPS with these.

Trying to load old savegames doesn't work or even crashes the game
Like every other patch ever since the release of Unreal, old versions savegames will not work. Savegames are very sensitive to changes, so there is unfortunately nothing we can do. The easiest way is to start over or to use cheat codes to get to your previous position and continue from there.

I don't like the new EntryII map/it eats up to much performance on my System
The new EntryII map was included to make the players and mappers aware about some of the new 227 features. If you don't like it you only need to change EntryMap=EntryII.unr to EntryMap=Entry.unr in Unreal.ini.

You can either use the classic patch on Unreal only, or combine your games before patching the result with the UGold Patch.

I want to make a composite Unreal Gold From Unreal and RTNP, is it possible?
Yes, it is. 227g and later allows you to play Return to Na Pali with the new tools offered by OldUnreal. Prior to the g release, a 227 installation would break compatibility with Return to Na Pali in Unreal Gold and Unreal Anthology. If you don't own one of these packs, you have to install both the game and the expansion pack separately from their respective CDs. From there, you can either use the normal 227 on the Unreal installation and keep on using Legend's latest patch with Return to Na Pali, or make a compound installation and use the Unreal Gold 227g or higher to have only one installation that allows you to play both games.

First, install both games and patch each of them with their lastest patch: they are 226 for Unreal and 226b for Return to Na Pali. Unreal versions older than 225 will be unable to use the 227 patch properly. You should have two folders with identical subfolders. Now, simply select all folders in the Na Pali installation and put them inside the Unreal folder. A prompt should ask you to erase similar files or cancel the action. Choose to erase present files. If you are using Windows Vista or 7, this prompt should also appear: it allows you to combine two folders instead of replacing one by the other, which is exactly what you want. In order to check if everything went well, open your compound Maps folder. It should contain both the Unreal maps and the Upak folder containing the Return to Na Pali maps.

Your resulting installation is virtually the same as Unreal Gold, but would not work that way: launching the Unreal.exe located in your /system folder will in fact launch Unreal: Return To Na Pali. Now, apply the latest UnrealGoldPatch227. You can now completely delete your /NaPali folder and keep only the compound /Unreal folder: for all intent and purposes, it is now an Unreal Gold installation. In order to make sure it works properly, launch Unreal and start a new game: you should be given the choice between playing the Unreal Single Player campaign or the RTNP one.

When joining some servers Unreal crashes with an error like: Critical: Bad name index -50/55
This can be caused by a crippled cache file. In 227i you can remove the suppress entry Suppress=DevLoad and see which file was loaded before the crash (and probably the cause):

DevLoad: Create new linker for ..\Cache\CrippledCacheFile.uxx
Critical: appError called:
Critical: Bad name index -50/55
Critical: Windows GetLastError: The operation completed successfully. (0)
Exit: Executing UObject::StaticShutdownAfterError
Exit: Executing UWindowsClient::ShutdownAfterError
Log: DirectDraw End Mode
Critical: ULinkerLoad<<FName
Critical: (LinkerLoad Transient.LinkerLoad 1683457))
Critical: FObjectImport<<
Critical: LoadImportMap
Critical: ULinkerLoad::ULinkerLoad
Critical: UObject::GetPackageLinker
Critical: VerifyPackages
Critical: UGameEngine::LoadMap
Critical: AttemptLoadPending
Critical: TickPending
Critical: UGameEngine::Tick
Critical: UpdateWorld
Critical: MainLoop

In older versions you only can try to find the file manually.

My joystick has an R-Axis problem, and my character is continuously looking up/down, sometimes with small pauses, what should I do?
Turn on deadzone for axis R, U and V.

Will you include full dynamic shadow/stencil shadows/bump mapping/parallax mapping?
Unreal was created in a time when not all computers featured a 3D chipset. This means the main APIs used today were not a given for the creators - Epic in our case. In order to provide maximum compatibility, the engine could run in software rendering (all calculation done by the main CPU), and most of the rendering code is processed by the processor.

However, this means new techniques and technologies which extensively use the OpenGL or Direct3D APIs cannot be fully used in Unreal, including advanced dynamic shadows, bump mapping and other complex technologies. To do so would require moving large parts of the rendering code from the CPU to the GPU, which would require rewriting large parts of the renderer from scratch. This would require time, efforts and people. The agreement with Epic prevents Smirftsch from sharing the source code with anyone, which pretty much means this cannot be done.

Server administration FAQ

What Unreal version is 227 compatible with? (Server)
Basically, a 227 Server can be used for all versions of Unreal. A special case is 226f because of an old compatibility issue caused by Legend with Unreal Gold and Unreal 226 -this problem was created years ago, and requires a client update to be fixed- which leads again to 227. Its not possible to fix it server-side only. A hack was added in 227i which creates a workaround for this problem and it seems to work without problems so far in all tests, but clients are still encouraged to update because it can't be guaranteed to work in any situation or with any mod.

However, if you want to use a 227 Server for the older versions 224, 225 and Unreal Gold, you need to know that there are some restrictions:

  • By default a 227 server denies older clients. Set AllowOldClients=true in Advanced Options -> Networking -> TCP/IP Network Play.
  • You must use maps and mods which don't feature any of the 227 features. Mods made with 227, maps with 227 content (like ParticleEmitter or any of the new weapons and items) are proscribed. Any mod or map made with 226 or earlier will run without problems.
  • 227's anticheat system works only fully with 227 clients, and so does the banning feature. If you want to use 227 with older clients, the anticheat is limited to scripted bots and hacks, so if you are planning to run a 227 Deathmatch server, it's probably better to restrict your server to 227 only. Running a coop server without the anticheat system is not a problem, but that's a decision the admin must take himself.
  • 227i has a new option called OldClientCompatMode. This enables a hack which fixes the connection issues with 226f clients, meaning that every old version (224, 225, 226b, 226f) can connect to 227 servers now. Epic and Legend broke the compatibility between classic Unreal 226f and Unreal Gold, where both versions were conformed against 225, which made 225 the only server version for both these two and the following versions. 227 suffered all the time from this, but since the mistake happened long in the past there was no suitable fix for it yet.

Why is 226f (Unreal classic version without Return to Na Pali) crashing on 227 servers without OldClientCompatMode?
In order to understand why this problem exists, here's a small explanation: Any new version has to be "conformed" with the previous version in order to make it compatible. That's what Epic Games did from any version to the following one. The procedure to do so is called conforming. It's necessary to align the so called "name table", so that any entry in the previous version matches its corresponding place in the newer version. Now, if you have a new version, which adds new things (like 226 did too), they are placed at the end, after the entries which match the previous version. This is a quick summary and it is technically not 100% correct, but you get the point.

What happened, then, is easy to understand: Legend and Epic forked after 226, with 226b (Unreal Gold, and later also Unreal Anthology) and 226f. They both conformed their versions of 226 against 225, thus the new 226 specific entries are out of sync and causing these known problems - 226f clients crashing in v226b servers, etc. It would have been easy to avoid if they just conformed it against the previously existing 226 version. However, they followed the same "We don't care" policy with Anthology, which itself needs to be patched again in order to make it network-compatible at all. With Anthology, they broke it just to add some advertising logo.

Due to this given situation we can conform 227 only to one version: either to 226b or 226f. The decision to take 226b for conforming was a pure logical one. 226b has a lot of less bugs compared to 226f, AND it is nowadays more often in use than classic Unreal. 227 servers, therefore, are compatible with: 224, 225, 226b and 227i with the provided 226f workaround.

I want to run a server from Linux, what should I do?
In order to start a Linux server via Terminal, a possible solution would be a script like this, located inside the System directory:

until ./UCCLinux.bin server DMDeck16?Game=Unrealshare.Deathmatchgame; do
    echo "Server 'UCCLinux.bin' crashed with exit code $?. Respawning.." >&2
    sleep 1
done

This way the server is restarted automatically in case of a crash, but won't do it if the server is shut down nicely. In order to start it from remote and still be able to disconnect:

nohup ./serverstart &

The log will be then located in the file nohup.out, but watch it, it can grow very big over time.

Third-party content FAQ

What about Nephthys (server protection mod by Zora), does it work with 227?
No, the current versions of Nephthys do not work with Unreal 227. But due to all fixes 227 provides, servers shouldn't need this additional protection anymore.

I want my HD graphics! Why does the D3D11 Renderer not work with v227j?
The D3D11 renderer made by darknovismc (which we won't link here for reasons that will follow) advertises features it doesn't have, and just applies post processing to everything. However we don't have (m)any problems with this (though the false advertisement is a questionable behavior). The actual problem is that it indulges into malware-like behavior by replacing the user's clipboard content with a donation link. All of this is also exacerbated by the author's... rather poor behavior and reaction to the request to cull off this unnecessary behavior from the renderer. While we have no problem with mod authors making a living off their creations, since this renderer actually messes up with the user's system, we have no interest in making 227 compatible with it, regardless of its features and how harmless the link actually is.

Unreal Evolution RULES! And it's also the best thing since sliced bread! Does v227 work with it?
Unlikely. Unreal Evolution is a mod developed by modifying the game's actual core assets (maps, system files, a.k.a. "destructive" modding) rather than modding the game without touching them like everybody else has been doing for decades ("additive" modding), and, as a result, it has the actual ability to destroy and render your Unreal installation inop. Again, like the D3D11 case, its author's... rather questionable reaction to the request to redo their mod in a non-destructive way doesn't help matters. We do NOT recommend this mod in any form or shape, regardless of its actual merits.

Linux FAQ

How do I install Unreal in Linux?
At the moment we do not have an installer for Linux yet, but there are two ways:

  1. The windows installer can be used with "Wine" to install the Linux files as well. If you have a CD, run the installer from it at first, apply the original Unreal 226f patch if necessary, then run the 227j patch itself. If you are having a Steam or GoG installation you need to run the patch only and point it to the correct path.
  2. Use the compressed archive version of the patch. If you have a CD, copy all files to a local folder (for example: ~/Unreal), if you are using Steam you need to locate the Unreal installation folder, usually it should be "~/.local/share/Steam/steamapps/common". If in doubt, make a backup of the entire Unreal/System folder at first. For a 64-Bit installation copy the entire System folder to a new folder System64 and continue from there. Delete existing localization files (.det, .est, .frt, .int, .plt, .rut) from within the System or System64 folder. Copy all files from the patch into the Unreal folder, overwriting the existing files.

After installing (or copying it over), you can run it natively without "Wine" (for example, in console with ./UnrealLinux.bin (which is located in the Unreal/System directory) or create a desktop shortcut to start it from somewhere else, but be sure to start it from within Unreal/System or Unreal/System64)). A symlink from UnrealLinux.bin as UnrealLinux can be made.

UCC also exists and is fully functional except for font import. You can start a server like in Windows with "./UCCLinux.bin server ..." If you start it from the console, you can enter any command like in the windows version, but directly in the console window, the console window acts the same way as the Unreal log window in Windows then.

On which distributions is Unreal 227 running on?
The 227j patch was built on Debian 10.12. Therefor it should run on any recent Debian based distro. To run a server with UCC there are no further dependencies. For playing it requires at least libSDL2-2.0.16. If you want to run the 32-Bit version it also requires to have 32-Bit libs installed (in most cases: sudo dpkg --add-architecture i386 && sudo apt update).

The Linux ARM version was built on Raspberry Pi 4 Model B Rev 1.4, Debian 11.3, 64-Bit version and should run on comparable systems.

Which graphic card does Unreal support?

  • NVidia: Currently, all cards seem to run fine with NVidia drivers installed. Tested and working with: GeForce 4 Ti4200, Geforce 5900XT, Geforce 8400M GS, Geforce 9800 GT, Geforce 9800 GTX, GTX260.
  • ATI: Should run fine, however no concrete reports yet.
  • Intel: Integrated Chipset like GM965 with Mesa works but there seem to be some problems with OpenGL (such as adjusting Brightness not working in some cases).

Unreal segfaults at startup
For investigation start Unreal from console having logging enabled: ./UnrealLinux.bin -log and check the output for any failure or error messages.

A messed up ini can cause a lot of weird and unexpected problems: remove or rename UnrealLinux.ini and let Unreal create new one.

Black screen or distorted visuals: In case XOpenGL is used it is possible that your graphics card driver does not support every feature needed or the shaders fail to load. Details can be gathered by commenting Suppress=DevGraphics with a ; in front. Try updating your drivers.

For further diagnosis UseOpenGLDebug=True can be set in the [XOpenGLDrv.XOpenGLRenderDevice] section. Also, use a higher DebugLevel (recommended only for experienced users).

If that doesn’t work, try choosing another renderer: set GameRenderDevice=OpenGLDrv.OpenGLRenderDevice in UnrealLinux.ini, section [Engine.Engine].

Sound Issues: Try to start Unreal with the -nosound option to confirm, and then check the Sound Issues section for solutions.

One of the most annoying error messages is "Warning: Failed to load "Class SDL2Drv.SDL2Client": Can't find file for package "SDL2Drv".." despite the fact that the file it can't find is obviously existing. This can be the cause of the absence or outdating of some of the dependency libraries. In the case of SDL2, for example, be sure your distro provides at least libSDL2-2.0.16. Run ldd -r <filename> to see if it lists anything unresolved and install any missing libs or update outdated dependencies if applicable.

If your distro doesn't provide all (or recent enough) libraries, there’s a package called linux_convenience_libs in the Help folder which contains the library files I built the patch with. Copy them to your System (or System64) folder. Unreal will search at first in the Unreal/System (or System64) folder and after that it will try to use the libraries provided by your OS.

How do I access Advanced Options? (Linux)
There is no Advanced Options menu for Linux users. You need to edit the UnrealLinux.ini instead, but all possible options are already in the file and commented with a semicolon (;). You just need to change the commented lines. See the example below.

Is there no UED for Linux?
The old UnrealEd1 was built in Visual Basic, and UED2 entirely relies on Windows. A complete rewrite of UED2 in something like QT is necessary to port it. Maybe there will be a port some day, but in the meantime you will need "Wine" to run UED2.

Does 227 need Wine to run?
No. Since 227f, there is a complete native port. Wine can be used to install the base game and the patch, but it also can be done manually. After installing the game it can be run with ./UnrealLinux.bin or ./UCCLinux.bin.

Sound issues
Default is ALAudio.ALAudioSubsystem.

If your Unreal segfaults on start-up because of sound (can be determined if it is starting with ./UnrealLinux.bin -nosound), you can try setting another ALDevice in UnrealLinux.ini section [ALAudio.ALAudioSubsystem]. The setting ProbeDevicesOnly=True can be used to determine the available devices in a failsafe way. The devices found are listed in UnrealLinux.bin.log then (or in console window if started with ./UnrealLinux.bin -log).

If you still have any problems, you can try to change the sound output. In Section [Engine.Engine], change AudioDevice= to any of the other available audio render devices by commenting/uncommenting the corresponding lines with a ;. 227j offers ALAudio (OpenALSoft), SwFMOD (fmodapi44449) and FMOD (FMOD 3) for audio output. FMOD 3 may work in 32-bit environments but it's deprecated.

FMOD: Sound starts but stops after a few seconds playing
Lower the number of channels.OpenAL uses FMOD for music output and if using OSS it can be that OpenAL is blocking /dev/dsp for FMOD then. This seems to be system specific and the only recommendation is: if possible use ALSA.

I don't have EAX/EFX effects / the environment ambients like "Underwater etc" do not work!
Check if your OpenAL libraries and the patch are up-to-date. EFX support on Linux was added in 227g. Note that OpenAL does not closely emulate the echo/reverb effects of Galaxy, but it offers 112 ambient presets which are used for zones like "Underwaterzone", "Slimezone" etc. and some replacement for the echoes. So its way more functional, but if you want an exact matching reverb like in the first days of Unreal, you have to use FMOD.

The game says it can't find SDL2Drv!
Ever since v227j (when SDL2Drv shipped), Unreal requires version 2.0.16 of libSDL2 in order to work. So first of all, check the output of one of these commands from System:

ldd ./UnrealLinux.bin
ldd -r ./UnrealLinux.bin
ldd --verbose ./UnrealLinux.bin
ldd ./SDL2Drv.so
ldd -r ./SDL2Drv.so
ldd --verbose ./SDL2Drv.so

Also make sure the following line in Unreal.ini is commented:

[Core.System]
;Suppress=DevLoad

If your System folder has libSDL2*.* files, delete them so the game is forced to use your distro's own files.

UnrealEd 2.x FAQ

If I don't like UnrealEd 2.x, can I switch back to 1.0 UnrealEd? For that matter, can I have both editors at the same time?
No, UnrealEd 2.1 automatically replaces UnrealEd 1.0. Though it has been used for more than 10 years now for Unreal, UnrealEd 1.0 is really lagging behind in features, crashes a lot more, and as a rule, is a lot less efficient than UnrealEd 2.0 and 2.1. Therefore, UnrealEd 1.0 will no longer be supported or updated; it was used in all versions before 227, but it needed a replace since it was written in Visual Basic, which isn't suited to the task at hand. From 227 onwards UED2 is used, mainly due to feature enhancements and improved scripts, which was necessary, and a hard decision to make.

Despite this, some people may not want to change their habits, preferring to keep UnrealEd 1.0. In this case, you will have to keep a second installation of Unreal in it's 226 version (or before).

If I make a map in UnrealEd 2 with v227 features, will it be portable?
Maps created with older versions of 227 shouldn't cause problems on newer 227 versions, especially when created using 227f+. However, maps made with 227 will only be backwards compatible with earlier versions of Unreal (and even Unreal Tournament) when no 227 content (those seen in the New mod authoring tools section) is used. 100% compatibility can't be guaranteed, so be sure to test the map with older versions before you release it. If you want to avoid any trouble, you have to use 225 with UED1.

What version should I map with?
Maps created with 227 may work on older versions once the LevelSummary feature is stripped out (same problem as with UGold maps). If you use any of 227's new features, it won't work on older versions.

In short, if you need your maps to be playable on all versions of Unreal, you should continue mapping with 225, if however you want to use the new features, 227 is the way to go.

What changes are present in v227?
Almost everything requested, especially for server admin and mappers/scripters, has already been added, most work now goes towards finishing these features. We may strip the UScript based ParticleEmitter because the native C++ version requires a lot less CPU time, but we will probably keep it since the added flexibility may prove useful, and it doesn't cause any real harm anyway.

A detailed listing about all fixes and additions are in the UED2.1 Release Notes and 227 release notes.

Are we locked to Software Rendering on the Editor? Is there a possibility to use a more advanced renderer?
Yep. The Texture Browser in UED2 uses the renderer defined in Unreal.ini, option WindowedRenderDevice in [Engine.Engine]. In order to switch it to OpenGL for better previews, set in Unreal.ini:

[Engine.Engine] WindowedRenderDevice=OpenGLDrv.OpenGLRenderDevice

Zoning doesn't work as before and/or you get the following Log: Moving zone 0 to the bad place (63)
Zoning was changed in 227 was taken over from the method used by Legend in UGold:

// ZoneInfo-based zoning
//
// An alternative zoning algorithm developed by Legend to help control 
// merged zones.  Level designers must manually place ZoneInfo actors 
// (or subclasses) in all "real" zones.
//
// All zones that do not contain a ZoneInfo actor are forced to iZone==63.
//
// In levels with more than 63 zones, this algorithm can be used to allow
// the level designers to control exactly which zones are merged, and
// which are mapped to their own iZone.

Can't find Autoplay.unr
UED2 uses a command ShellExecute to launch the Autoplay.unr map. This function indeed looks up at first the already mentioned registry entry.

Unreal:

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\Unreal.exe]
@="C:\Unreal\\System\Unreal.exe"
"Path"="C:\Unreal\System"

Without checking for UT it is probably:

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\UnrealTournament.exe]
@="C:\UnrealTournament\System\UnrealTournament.exe"
"Path"="C:\UnrealTournament\System"

So although Unreal itself doesn't use any registry entries for that, the Windows function does. The problem only appears if you have more than one installation of Unreal (or UT). This maybe happens too if you have one regular installation and some copied over installations. It starts the version which is set in the registry key above - and is looking into the Maps folder of this version then.

If it doesn't find such an entry it falls back to the current working directory (means wherever where the UnrealED you are currently working with is installed) and uses the right Unreal.exe. So in order to make it work with every of your installations you can just delete the entry (maybe export it first if you ever want to restore it again for whatever reason). Of course it is also possible is to change the entry to the installation you are currently working with.

My viewports are all white!
Click View => Viewports => Configure and choose your desired configuration. This is a common bug, happening when the viewports are incorrectly saved when UnrealEd closes. It has no incidence on anything.

How do I use something else than Software rendering?
Click on the grey bar at the top of a viewport and click on the desired rendering. OpenGl is the best one, as Direct3D has a few bugs. Notice that you can choose different renderers for different viewports.

I have an ATI card and Direct3D is not working properly!
There are a couple problems with D3D support on ATI cards: when the sky is visible, you might not be able to select a surface. Light, Sound and a few other actors might not be shown. Some viewports may be corrupted or behave in a strange way.

Can I change the renderer in the browsers?
Yes, the Texture Browser and the Mesh Browser allow you to set your rendering device in View => WindowedRenderDevice. You can set a different renderer for each one of these two browsers.

What are these new modes for the 3D viewports?
Along with the usual Wireframe, Texture Usage, BSP Cuts, Textured, Dynamic Light and Zone Portal mode, UnrealEd 2.1 packs a new one, Lighting Only, which shows the lightmaps of your map without textures. It can be used to lighting-related problems and see how the colours mix. The BSP Cuts is not used a lot and is broken in UnrealEd 3.0. You can learn about it in this topic.

You have a localization project, but my UnrealEd is stuck in English!
UnrealEd cannot be translated. Everything in UnrealEd defaults to English. And one of the rules of the localization project is that editing tools should not be localized.

There is something wrong with this and I have to tell the world!
227 is always in the making. Explain your problem here in a civil manner and it should be fixed in the future, while you are overwhelmed with a warm feeling of contributing to the common good.